Description

When defining hostgroup on one specific content host,

we should be able to see the hostgroup and puppet environment defined puppet environment via inherit.

Actually to manager content hosts and point to one specific host group, we need to do two steps,

the first one is define the host group, the second one is define the puppet environment,

if we define the puppet environment on hostgroup, this should be inherit automatically.

Like, on editing host with empty puppet env then if assigned hostgroup in which puppent env configured to host then puppet env of

hostgroup is assigned to host.

Steps to Reproduce:

1. Define the hostgroup with the puppet environment information.

2. Hosts - All hosts - Select the content host - Select Action - Change Group - Select the host group

History

#1 - 02/14/2017 10:21 PM - Kavita Gaikwad

- Status changed from New to Closed

Kavita Gaikwad wrote:

When defining hostgroup on one specific content host,

we should be able to see the hostgroup and puppet environment defined puppet environment via inherit.

Actually to manager content hosts and point to one specific host group, we need to do two steps,

the first one is define the host group, the second one is define the puppet environment,

if we define the puppet environment on hostgroup, this should be inherit automatically.

Like, on editing host with empty puppet env then if assigned hostgroup in which puppent env configured to host then puppet env of hostgroup is

assigned to host.

Steps to Reproduce:

1. Define the hostgroup with the puppet environment information.

2. Hosts - All hosts - Select the content host - Select Action - Change Group - Select the host group

 In latest version, behaviour of all inherited attributes from hostgroup is changed.

Instead of inheriting values of these attributes from hostgroup on server-side after assigning hostgroup to host,

now on web-ui there are separate buttons called 'inherit' added along with inputs for fields.

Depending upon the selection of these buttons, those values get inherited from hostgroup.

Previously, there was behaviour change between two pages i.e host edit page and defining hostgroup from selection dropdown.

By adding 'inherit' buttons, consistency is maintain between two pages.

First we need to select hostgroup and if user wants then he can define puppet env using puppet environment via inherit.

So, I am closing this ticket.

#2 - 02/14/2017 10:23 PM - Kavita Gaikwad

- Target version changed from 1.15.6 to 168
#3 - 02/15/2017 03:09 AM - Dominic Cleal

- Status changed from Closed to Rejected
